Subject: Re: [PATCH 2/2] Windows: Skip fstat/lstat optimization in write_entry()

From: Johannes Sixt <[email-masked]>
Date: Mon, 20 Apr 2009 16:19:09 +0200

Alex Riesen schrieb:
> 2009/4/20 Dmitry Potapov <[email-masked]>:
>> If the time passed between the creating file and end of writing to it is
>> small (less than timestamp resolution), you may not notice the problem.
>> The following program demonstrates the problem with fstat on Windows.
>> (I compiled it using Cygwin). If you remove 'sleep' then you may not
>> notice the problem for a long time.
> 
> And the Windows being as slow as it is, the problem can stay undetected for
> a long time in a real working code.

You got that wrong: If Windows were slow, the error would have been
triggered more often and it would have been detected earlier. There you
have the proof: Windows is fast ... enough :-P

-- Hannes